Bug 16096

Summary: REGRESSION (r26653-r26699): Plaxo.com addressbook does not load in webkit nightlies.
Product: WebKit Reporter: Adam Williams <mysticalosx>
Component: Layout and RenderingAssignee: Darin Adler <darin>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, ddkilzer, ggaren, mjs
Priority: P1 Keywords: HasReduction, Regression
Version: 528+ (Nightly build)   
Hardware: Mac (PowerPC)   
OS: OS X 10.5   
URL: http://www.plaxo.com/po3/?module=ab&operation=viewFull&mode=normal
Attachments:
Description Flags
Screen Captures
none
Test case(s)
none
further-reduced test case
none
patch mitz: review+

Description Adam Williams 2007-11-22 18:41:14 PST
I tested in Deploying safari 3.0.4 with no problems. However under webkit nightly r27953 the tables and entire addressbook fields do not load at all. Instead only white space is visible.
Comment 1 Adam Williams 2007-11-22 18:42:32 PST
Note: A plaxo user account will be needed to test this bug.
Comment 2 Adam Williams 2007-11-23 05:08:15 PST
Created attachment 17458 [details]
Screen Captures

Screen captures of site behavior in Safari 3.0.4 with correct site behavior and
same identical site with same user/password and url on webkit nightly r27953
showing site non functional
Comment 3 David Kilzer (:ddkilzer) 2007-11-23 06:58:52 PST
Regressions are P1.

Comment 4 David Kilzer (:ddkilzer) 2007-11-23 07:10:34 PST
I created a test account.
U: webkit-test@hotmail.com
P: [See Bug 5695 Comment #14]

Comment 5 David Kilzer (:ddkilzer) 2007-11-23 07:29:59 PST
Confirmed with a local debug build of r27971 with Safari 3.0.4 (523.12) on Mac OS X 10.4.11 (8S165).

Works fine with the original WebKit for Safari 3.0.4.

I see two errors printed in the JavaScript Console after clicking the Address Book link:

SyntaxError: Invalid regular expression: internal error: code overflow
http://s.plaxo.ws/webapps/desktop/js/po3.js?1195587456
Line: 6448

TypeError: Null value
http://www.plaxo.com/po3/?module=ab&operation=viewFull&mode=normal
Line: 1021

The first one is in the middle of a Dojo Toolkit source file.  Searching for "isSafari" in the source reveals that they simply check for "Safari" in the "navigator.appVersion" field, so I don't think that this is a user-agent parsing issue.

Comment 6 David Kilzer (:ddkilzer) 2007-11-23 08:51:42 PST
The bisect-builds script says:
Works: r26653  Fails: r26699
Comment 7 mitz 2007-11-23 16:38:49 PST
(In reply to comment #6)
> The bisect-builds script says:
> Works: r26653  Fails: r26699

> I see two errors printed in the JavaScript Console after clicking the Address
> Book link:
> 
> SyntaxError: Invalid regular expression: internal error: code overflow
> http://s.plaxo.ws/webapps/desktop/js/po3.js?1195587456
> Line: 6448

<http://trac.webkit.org/projects/webkit/changeset/26697> is a PCRE update that falls in the above range.
Comment 8 David Kilzer (:ddkilzer) 2007-11-23 21:17:51 PST
Created attachment 17480 [details]
Test case(s)

Any one of the three regular expressions will cause the same error.
Comment 9 Darin Adler 2007-11-26 10:36:53 PST
Created attachment 17531 [details]
further-reduced test case
Comment 10 Darin Adler 2007-11-26 11:06:15 PST
Created attachment 17533 [details]
patch
Comment 11 mitz 2007-11-26 11:10:02 PST
Comment on attachment 17533 [details]
patch

r=me
Comment 12 Darin Adler 2007-11-26 16:50:56 PST
Committed revision 28058.